cURL
curl --request POST \
--url https://dev.entropi.app/v1/products/addOne \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"desc": "<string>",
"orgID": "<string>",
"userID": "<string>",
"url": "<string>",
"imageLink": "<string>"
}
'import requests
url = "https://dev.entropi.app/v1/products/addOne"
payload = {
"name": "<string>",
"desc": "<string>",
"orgID": "<string>",
"userID": "<string>",
"url": "<string>",
"imageLink": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
desc: '<string>',
orgID: '<string>',
userID: '<string>',
url: '<string>',
imageLink: '<string>'
})
};
fetch('https://dev.entropi.app/v1/products/addOne', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"productID": "<string>"
}
}{
"error": 123,
"message": "<string>"
}Products
Create Product
Creates a new product under a given user and/or organization
POST
/
v1
/
products
/
addOne
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
JSON representation of your product
Name of the product
A detailed description of the product
Organization ID. See Organizations endpoint for details
User ID. See Users endpoint for details
URL to product page, if applicable
URL to an image of the product
Response
API Response
Show child attributes
Show child attributes
⌘I